doctrine:
    dbal:
        url: '%env(DATABASE_URL)%'

        # IMPORTANT: You MUST configure your server version,
        # either here or in the DATABASE_URL env var (see .env file)
        #server_version: '13'
    orm:
        auto_generate_proxy_classes: true
        naming_strategy: doctrine.orm.naming_strategy.underscore_number_aware
        auto_mapping: true

        mappings:
            App:
                dir: '%kernel.project_dir%/src/Entity'
                prefix: 'App\Entity'
                alias: App
                is_bundle: false
            gedmo_loggable:
                type: attribute
                prefix: Gedmo\Loggable\Entity
                dir: "%kernel.project_dir%/vendor/gedmo/doctrine-extensions/src/Loggable/Entity"
                alias: GedmoLoggable # (optional) it will default to the name set for the mapping
                is_bundle: false
            gedmo_tree:
                type: attribute
                prefix: Gedmo\Tree\Entity
                dir: "%kernel.project_dir%/vendor/gedmo/doctrine-extensions/src/Tree/Entity"
                alias: GedmoTree # (optional) it will default to the name set for the mapping
                is_bundle: false
        dql:
            string_functions:
                date_format: Oro\ORM\Query\AST\Functions\String\DateFormat
                month: Oro\ORM\Query\AST\Functions\SimpleFunction

            numeric_functions:
                timestampdiff: Oro\ORM\Query\AST\Functions\Numeric\TimestampDiff
                dayofyear: Oro\ORM\Query\AST\Functions\SimpleFunction
                dayofmonth: Oro\ORM\Query\AST\Functions\SimpleFunction
                dayofweek: Oro\ORM\Query\AST\Functions\SimpleFunction
                week: Oro\ORM\Query\AST\Functions\SimpleFunction
                day: Oro\ORM\Query\AST\Functions\SimpleFunction
                hour: Oro\ORM\Query\AST\Functions\SimpleFunction
                minute: Oro\ORM\Query\AST\Functions\SimpleFunction
                month: Oro\ORM\Query\AST\Functions\SimpleFunction
                quarter: Oro\ORM\Query\AST\Functions\SimpleFunction
                second: Oro\ORM\Query\AST\Functions\SimpleFunction
                year: Oro\ORM\Query\AST\Functions\SimpleFunction
                sign: Oro\ORM\Query\AST\Functions\Numeric\Sign
                pow: Oro\ORM\Query\AST\Functions\Numeric\Pow
                round: Oro\ORM\Query\AST\Functions\Numeric\Round
                ceil: Oro\ORM\Query\AST\Functions\SimpleFunction
        filters:
            softdeleteable:
                class: Gedmo\SoftDeleteable\Filter\SoftDeleteableFilter
                enabled: true
when@test:
    doctrine:
        dbal:
            # "TEST_TOKEN" is typically set by ParaTest
            dbname_suffix: '_test%env(default::TEST_TOKEN)%'


